Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Signals | Public Member Functions | Private Slots | List of all members
LaplaceLengthPlugin Class Reference
Inheritance diagram for LaplaceLengthPlugin:

## Public Slots
QString | version ()

## Signals
void | addTexture (QString _textureName, QString _filename, uint dimension)
void | updatedTextures (QString, int)
void | setTextureMode (QString _textureName, QString _mode)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from TextureInterface
virtual void | addTexture (QString _name, QString _filename, uint _dimension, int _id)
| Emit this Signal if a texture has been added (Property Name,filename,Dimension) More...

## Public Member Functions
template<typename MeshT >
void | computeLaplaceLength (MeshT *_mesh)
template<typename MeshT >
void | computeLaplaceSquaredLength (MeshT *_mesh)
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | slotUpdateTexture (QString _textureName, int _identifier)
void | pluginsInitialized ()

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from TextureInterface
virtual void | addTexture (QString _name, QString _filename, uint _dimension)
| Emit this Signal if a texture has been added (Property Name,filename,Dimension) More...
virtual void | addMultiTexture (QString _textureGroup, QString _name, QString _filename, int _id, int &_textureId)
| Emit this Signal if you want to add a texture for a multitexturing mode. More...
virtual void | updateTexture (QString _textureName, int _identifier)
| Tell Plugins to update the given texture for the given identifier This signal can be called from any thread. .
virtual void | updateAllTextures ()
| Tell Plugins to update all textures.
virtual void | updatedTextures (QString, int)
| emit this signal if you updated a texture More...
virtual void | switchTexture (QString _textureName, int _id)
| emit this signal if you want to switch the texture of a specific object This signal can be called from any thread.
virtual void | switchTexture (QString _textureName)
| emit this signal if you want to switch the global texture This signal can be called from any thread.
virtual void | setTextureMode (QString _textureName, QString _mode)
| emit this signal if you want to set a special mode for this texture (Clamping,...) More...
virtual void | setTextureMode (QString _textureName, QString _mode, int _id)
| emit this signal if you want to set a special mode for this texture (Clamping,...) More...
virtual void | textureChangeImage (QString _textureName, QImage &_image, int _id)
| Change the texture image of a given texture. More...
virtual void | textureChangeImage (QString _textureName, QImage &_image)
| Change the texture image of a given global texture. More...
virtual void | textureGetImage (QString _textureName, QImage &_image, int _id)
| get the texture image of a given texture More...
virtual void | textureGetImage (QString _textureName, QImage &_image)
| Get the texture image of a given global texture. More...
virtual void | textureIndex (QString _textureName, int _id, int &_index)
| Get the texture index of a given texture. More...
virtual void | textureIndexPropertyName (int _id, QString &_propertyName)
| Get the name of the texture index property. More...
virtual void | textureName (int _id, int _textureIndex, QString &_textureName)
| get the name of the texture with given texture index More...
virtual void | textureFilename (int _id, QString _textureName, QString &_textureFilename)
| get the filename of the texture with given texture index More...
virtual void | getCurrentTexture (int _id, QString &_textureName)
| get the name of the texture which is currently enabled More...
virtual void | getSubTextures (int _id, QString _multiTextureName, QStringList &_subTextures)
| get the names of all sub-textures under the given multiTexture More...
virtual | ~TextureInterface ()
| Destructor.

## Detailed Description

Definition at line 57 of file LaplacePlugin.hh.

## Member Function Documentation

QString LaplaceLengthPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 89 of file LaplacePlugin.hh.

QString LaplaceLengthPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 88 of file LaplacePlugin.hh.

The documentation for this class was generated from the following files:

- Plugin-Laplace/LaplacePlugin.hh
- Plugin-Laplace/LaplacePlugin.cc